﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\RPAP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RPAP_TASK') 
 CREATE TABLE T_RPAP_TASK (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROCESS BIGINT DEFAULT 0 NOT NULL,
FROBOT BIGINT DEFAULT 0 NOT NULL,
FPLANSTARTTIME DATETIME,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FRUNNINGDURATION BIGINT DEFAULT 0 NOT NULL,
FRUNNINGSTATE VARCHAR(10) DEFAULT ' ' NOT NULL,
FRESULT VARCHAR(10) DEFAULT ' ' NOT NULL,
FEXTERNALID VARCHAR(30) DEFAULT ' ' NOT NULL,
FTHIRDTYPEID BIGINT DEFAULT 0 NOT NULL,
FRUNNINGWAY VARCHAR(10) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(30) DEFAULT ' ' NOT NULL,
FVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FISDELETE VARCHAR(10) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RPAP_TASKARGENTRY') 
 CREATE TABLE T_RPAP_TASKARGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FARGNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FARGTYPE VARCHAR(255) DEFAULT ' ' NOT NULL,
FARGVALUE NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RPAP_TASKOUTARGENTRY') 
 CREATE TABLE T_RPAP_TASKOUTARGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOUTARGNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FOUTARGTYPE VARCHAR(255) DEFAULT ' ' NOT NULL,
FOUTARGVALUE NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RPAP_PROCESS' AND KSQL_COL_NAME ='FISDELETE') 
 ALTER TABLE T_RPAP_PROCESS ADD (FISDELETE VARCHAR(10) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RPAP_ROBOT' AND KSQL_COL_NAME ='FISDELETE') 
 ALTER TABLE T_RPAP_ROBOT ADD (FISDELETE VARCHAR(10) DEFAULT '0' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\RPAP_table.sql **/
